diff -urN qpopper4.0.5/popper/pop_config.c qpopper4.0.5-diff1/popper/pop_config.c
--- qpopper4.0.5/popper/pop_config.c	Thu Jan 29 23:23:22 2004
+++ qpopper4.0.5-diff1/popper/pop_config.c	Thu Jan 29 23:20:31 2004
@@ -242,6 +242,7 @@
     kPOPPER_IMPL,           /*    (no flag)     */
     kPOPPER_BANNER_VER,     /*    (no flag)     */
     kPOPPER_BANNER,         /*    (no flag)     */
+    kLOG_LEVEL,             /*    (no flag)     */
 
 
     LAST_OPT_VAL
@@ -327,6 +328,7 @@
     { "popper-banner"                , CfgStr  , CfgInit   , kPOPPER_BANNER      },
     { "popper-implementation"        , CfgStr  , CfgInit   , kPOPPER_IMPL        },
     { "popper-banner-version"        , CfgStr  , CfgInit   , kPOPPER_BANNER_VER  },
+    { "log-level"                    , CfgMnem , CfgResNone, kLOG_LEVEL          },
     
     { NULL                           , CfgBad  , CfgResNone, LAST_OPT_VAL        }
 };
@@ -420,7 +422,18 @@
 
     { NULL              , PopLogMail            }
 };
+
+static mnemonic_map mnem_map_log_level [] =
+{
     
+    { "priority"        , POP_NOTICE            },
+    { "warning"         , POP_WARNING           },
+    { "notice"          , POP_NOTICE            },
+    { "info"            , POP_INFO              },
+    { "debug"           , POP_DEBUG             },
+
+    { NULL              ,                       }
+};
 
 /*
  * Map each option to its specific table
@@ -432,8 +445,9 @@
     { kTLS_VERSION      , mnem_map_tls_vers       },
     { kCHUNKY_WRITES    , mnem_map_chunky_writes  },
     { kLOG_FACILITY     , mnem_map_log_facility   },
+    { kLOG_LEVEL        , mnem_map_log_level      },
 
-    { -1                , NULL                     }
+    { -1                , NULL                    }
 };
 
 
@@ -950,6 +964,7 @@
         case kPOPPER_BANNER_VER:   R__PTR ( &p->pPopper_Banner_V);
         case kPOPPER_IMPL:         R__PTR ( &p->pPopper_Impl);
 #endif /* LOCALSTRINGS */			
+        case kLOG_LEVEL:           R__MNM ( &p->pLog_Level );
 
         default:                   R__PTR ( NULL );
     } /* switch ( item ) */
diff -urN qpopper4.0.5/popper/pop_log.c qpopper4.0.5-diff1/popper/pop_log.c
--- qpopper4.0.5/popper/pop_log.c	Wed Mar 12 21:06:37 2003
+++ qpopper4.0.5-diff1/popper/pop_log.c	Thu Jan 29 23:18:54 2004
@@ -142,7 +142,8 @@
         fflush  ( p->trace );
     }
     else {
-        syslog ( (int) loglev, "%s", msgbuf );
+	if(!p || p->debug || !p->pLog_Level || p->pLog_Level >= loglev || !loglev ) 	
+           syslog ( (int) loglev, "%s", msgbuf );
     }
     
     if ( iChunk == -1 ) {
diff -urN qpopper4.0.5/popper/popper.h qpopper4.0.5-diff1/popper/popper.h
--- qpopper4.0.5/popper/popper.h	Thu Jan 29 23:23:22 2004
+++ qpopper4.0.5-diff1/popper/popper.h	Thu Jan 29 23:18:54 2004
@@ -710,6 +710,7 @@
     char               *pPopper_Banner;         /* popper-banner option, banner string */
     char               *pPopper_Banner_V;       /* popper-banner-version, displaying version in banner */
 #endif /* LOCALSTRINGS */   
+    log_level           pLog_Level;             /* which loglevels get logged when not in debug mode*/
 
 };
 
